<!-- eslint-disable vue/no-multiple-template-root -->
<template>
  <div class="global-desktop-layout">
    <header-global />
    <banner
      v-if="bannerShouldDisplay"
      :actived-tab="activedTab"
      :banner-keys="bannerKeys"
      :min-height="460"
    />
    <slot container-class="w-full mx-autoP container min-h-[70vh]" />

    <!-- <lazy-footer template="common" layout="desktop" /> -->
  </div>
</template>

<script setup lang="ts">
import _ from "lodash";

const route = useRoute();
const allPages: Array<string> = [
  "home",
  "sports",
  "virtualsports",
  "livecasino",
  "games",
  "keno",
  "cockfight",
  "lottery",
  "poker",
  "promotion",
];
const bannerPages = allPages.filter((page) => page !== "sports");
const bannerKeys: Record<string, string> = {
  home: "lobby_banner_",
  virtualsports: "virtual_sport_banner_",
  livecasino: "live_casino_banner_",
  games: "game_banner_",
  poker: "poker_banner_",
  lottery: "lottery_banner_",
  cockfight: "cockfight_banner_",
  promotion: "promotion_banner_",
};
const tabSelected = computed(() =>
  _.replace(_.replace(route.path.split("/")[1], "-", ""), "/", "")
);
const activedTab = computed(() =>
  tabSelected.value !== "" ? tabSelected.value : "Home"
);
const bannerShouldDisplay = computed(() =>
  _.includes(bannerPages, _.toLower(activedTab.value))
);
</script>

<style>
.global-desktop-layout .h-game-entry__label {
  --h-game-entry-label-color: var(--text5);
}
</style>
